file: libmagic knows about libz now so drop the dependency